
Redmine - Feature #3122

Subforums

2009-04-05 07:11 - Anonymous

Status: Closed Start date: 2009-04-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I think it would be good for the forums of subprojects to appear below the forums listing of their parent project, to make things easier

to find and more centralized.

Maybe others can expand or refine the example image I attached if interested.

Related issues:

Is duplicate of Redmine - Feature #3831: Support for subforums Closed 2009-09-07

History

#1 - 2009-07-16 10:13 - Vianney Lecroart

I wanted this too, so I created a very ugly hack that do the job :)

I used the forum description to see if we need to display the forum as a subforum and/or add spaces to do a separation.

1 space  at the beginning of the description => subforum

2 spaces at the beginning of the description => subforum + separation with the next forum

3 spaces at the beginning of the description => separation with the next forum

Modified file is: redmine/app/views/boards/index.rhtml

Index: index.rhtml

===================================================================

--- index.rhtml (revision 2819)

+++ index.rhtml (working copy)

@@ -10,7 +10,7 @@

   <tbody>

 <% for board in @boards %>

   <tr class="<%= cycle 'odd', 'even' %>">

-    <td>

+    <td <%= if board.description[0].chr==" " && board.description[2].chr!=" "  then "style='padding-left:50px

;'" end %> >

       <%= link_to h(board.name), {:action => 'show', :id => board}, :class => "icon22 icon22-comment"  %><br 

/>

       <%=h board.description %>

     </td>

@@ -25,6 +25,7 @@

     </small>

     </td>

   </tr>

+<%= if board.description[1].chr==" " then "<tr class='even'><td>&nbsp;</td><td></td><td></td><td></td></tr>" 

end %>

 <% end %>

   </tbody>

 </table>

#2 - 2009-11-23 01:12 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Dup. of #3831.

Files

2024-04-10 1/2

https://www.redmine.org/issues/3831


redmine-subforums.png 24.3 KB 2009-04-05 Anonymous

Powered by TCPDF (www.tcpdf.org)

2024-04-10 2/2

http://www.tcpdf.org

